/************************************************************
 * @(#)editor.java	
 *
 * Copyright (c) 1996 IBM Corporation.
 * The source code is being provided to you AS IS without any warranties
 * (express or implied) whatsoever, including but not limited to any
 * implied warranties of merchantability, quality, performance or fitness
 * for any particular purpose. IBM is under no obligation to provide support
 * of any kind for the source code. IBM accepts no liability for any damages
 * you may suffer as a result of your use of the source code, including any
 * damages claimed by you, based on any third party claim. In no event will
 * IBM be liable for any indirect, special, or consequential damages, even 
 * if IBM has been advised of their possibility.
 *
 * Spec: sample Java code that uses a resource file
 *********************************************************/
import java.awt.*;
import java.applet.Applet;
import editordata;

public class editor extends Applet {
   Image image;
   static editordata data = new editordata();

   public editor() {
     MediaTracker mt=new MediaTracker(this);   
     image= data.LoadImage(data.Logo);
     mt.addImage(image,0);
     try {
        mt.waitForAll();	
     } catch (Exception e) {
        System.out.println("media tracker exception ");
     }
   }

   public void paint(Graphics g) {
      g.drawImage(image,0,0,this);
   }

   public static void main(String args[])
   {
      editor t = new editor();
      Frame f = new Frame(data.Product);
      f.setMenuBar(data.LoadMenuBar(data.main) );
      f.add("Center",t);
      f.resize(225,200);
      f.show();
   }

}