/************************************************************
 * @(#)nls.java	
 *
 * Copyright (c) 1996 IBM Corporation.
 * The source code is being provided to you AS IS without any warranties
 * (express or implied) whatsoever, including but not limited to any
 * implied warranties of merchantability, quality, performance or fitness
 * for any particular purpose. IBM is under no obligation to provide support
 * of any kind for the source code. IBM accepts no liability for any damages
 * you may suffer as a result of your use of the source code, including any
 * damages claimed by you, based on any third party claim. In no event will
 * IBM be liable for any indirect, special, or consequential damages, even 
 * if IBM has been advised of their possibility.
 *
 * Spec: nls Java code that uses a resource file for 
 *       German or English on demand
 *********************************************************/
import java.awt.*;
import java.applet.Applet;
import ibm.jres.jres;


public class nls extends Applet {
   Image image;
   Label label;
   jres resource;
   
   public jres getResource(String name){
    Class cls=null;

    try {   
       cls= Class.forName(name);
       return( (jres) cls.newInstance() );
    }catch (Exception e) {
       System.out.println("exception ");
    }
    return null;
   }



   public nls() {
     Panel p= new Panel();
     label = new Label("This is in English ");
     p.add(label);
     add("North",p);

     p= new Panel();
     p.add(new Button("Deutsch") );
     p.add(new Button("English") );
     add("South",p);
   }


   public boolean handleEvent(Event ev) {
     if (ev.target instanceof Button){
       if (((Button)(ev.target)).getLabel().compareTo("Deutsch")==0)
         resource = getResource("german.nlsdata");
       else
         resource = getResource("english.nlsdata");
if(resource==null)
   System.out.println("resource null");

System.out.println(resource.LoadString(100) );       
       label.setText(resource.LoadString(100) );       
       return true;
       }
     return false;
    }

   public static void main(String args[])
   {
      Frame f = new Frame("NLS ");
      nls t = new nls();
      f.add("Center",t);
      f.resize(225,200);
      f.show();
   }

}