/***********************************************************************
 * @(#)animate.java	
 *
 * Copyright (c) 1996 IBM Corporation.
 * The source code is being provided to you AS IS without any warranties
 * (express or implied) whatsoever, including but not limited to any
 * implied warranties of merchantability, quality, performance or fitness
 * for any particular purpose. IBM is under no obligation to provide support
 * of any kind for the source code. IBM accepts no liability for any damages
 * you may suffer as a result of your use of the source code, including any
 * damages claimed by you, based on any third party claim. In no event will
 * IBM be liable for any indirect, special, or consequential damages, even 
 * if IBM has been advised of their possibility.
 *
 * Spec: sample Java code that uses a resource file for animation of images
 *************************************************************************/
import java.awt.*;
import java.applet.Applet;


public class animate extends Applet implements Runnable {
   private Image image[]=new Image[30];
   private Thread animation=null;
   private int index=0;
   animatedata data = new animatedata();

   /*
    * animate:
    **/
   public animate() {
     MediaTracker mt=new MediaTracker(this);   
     for (int i=0; i<29; i++) {
       image[i]= data.LoadImage(i);
       mt.addImage(image[i],0);
     }
     try {
        mt.waitForAll();	
     } catch (Exception e) {
        System.out.println("media tracker exception ");
     }
     start();
   }


   /*
    * run:
    **/
   public void run() {
     while (true) {
        try {
          Thread.sleep(200);              //about human speed
          repaint();
        } catch (InterruptedException e) {
            break;
        }
     }
   }


   /*
    * paint:
    **/
   public synchronized void paint(Graphics g) {
     g.drawImage(image[index++],0,0,this);
     if (index==29)
       index=1;
   }


   /*
    * start:
    **/
   public void start() {
       animation = new Thread(this);
       animation.start();
    }


   /*
    * main:
    **/
   public static void main(String args[])
   {
      Frame f = new Frame("animatedata");
      animate t = new animate();
      f.add("Center",t);
      f.resize(225,200);
      f.show();
   }

}